Package org.firebirdsql.gds.ng.wire.version13

## Class V13Database

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbAttachment<T>
  - - org.firebirdsql.gds.ng.AbstractFbDatabase<WireDatabaseConnection>
    - - org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase
      - - org.firebirdsql.gds.ng.wire.version10.V10Database
        - - org.firebirdsql.gds.ng.wire.version11.V11Database
          - - org.firebirdsql.gds.ng.wire.version12.V12Database
            - - org.firebirdsql.gds.ng.wire.version13.V13Database

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `FbAttachment`, `FbDatabase`, `ExceptionListenable`, `TransactionListener`, `FbWireAttachment`, `FbWireDatabase`
  Direct Known Subclasses:
    `V15Database`

      public class V13Database
      extends V12Database

  `FbWireDatabase` implementation for the version 13 wire protocol.
  Author:
    Mark Rotteveel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

      `FbWireAttachment.AcceptPacket`

  - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

      `protocolDescriptor, wireOperations`

    - ### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

      `databaseListenerDispatcher`

    - ### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

      `connection, exceptionListenerDispatcher`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `V13Database​(WireDatabaseConnection connection, ProtocolDescriptor descriptor)` | Creates a V13Database instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected byte[]` | `getTransactionIdBuffer​(long transactionId)` |

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version12.V12Database

      `cancelOperation, getFilenameEncoding`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Database

      `enqueueDeferredAction, releaseObject`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Database

      `afterAttachActions, attach, attachOrCreate, authReceiveResponse, createDatabase, createStatement, doReleaseObjectPacket, dropDatabase, executeImmediate, getBlrCalculator, getDatabaseInfo, getHandle, initAsynchronousChannel, internalDetach, processAttachOrCreateResponse, processReleaseObjectResponse, reconnectTransaction, sendAttachOrCreateToBuffer, startTransaction`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireDatabase

      `cancelEvent, checkAttached, checkConnected, closeConnection, consumePackets, countEvents, createBlobForInput, createBlobForOutput, createEventHandle, finalize, forceClose, getXdrIn, getXdrOut, getXdrStreamAccess, isAttached, queueEvent, readGenericResponse, readResponse, readSqlResponse, setNetworkTimeout`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbDatabase

      `addDatabaseListener, addWeakDatabaseListener, close, createBlobParameterBuffer, createTransactionParameterBuffer, emptyRowDescriptor, getActiveTransactionCount, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getDatabaseInformationProcessor, getDatabaseWarningCallback, getDescribeDatabaseInfoBlock, getOdsMajor, getOdsMinor, getParameterDescriptionInfoRequestItems, getStatementInfoRequestItems, removeDatabaseListener, setDatabaseDialect, setOdsMajor, setOdsMinor, transactionAdded, transactionStateChanged`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbAttachment

      `addExceptionListener, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, getServerVersionInformation, getSynchronizationObject, removeExceptionListener, safelyDetach, setAttached, setDetached, setServerVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

      `addExceptionListener, removeExceptionListener`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.FbAttachment

      `close, forceClose, getDatatypeCoder, getEncoding, getEncodingFactory, getNetworkTimeout, getServerVersion, getSynchronizationObject, isAttached, setNetworkTimeout`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.FbDatabase

      `addDatabaseListener, addWeakDatabaseListener, cancelEvent, countEvents, createBlobForInput, createBlobForOutput, createBlobParameterBuffer, createEventHandle, createTransactionParameterBuffer, emptyRowDescriptor, getConnectionDialect, getConnectionProperties, getDatabaseDialect, getDatabaseInfo, getOdsMajor, getOdsMinor, queueEvent, removeDatabaseListener`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireAttachment

      `getXdrStreamAccess, readGenericResponse`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireDatabase

      `consumePackets, readResponse, readSqlResponse`

- - ### Constructor Detail

    - #### V13Database

          protected V13Database​(WireDatabaseConnection connection,
                                ProtocolDescriptor descriptor)

      Creates a V13Database instance.
      Parameters:
        `connection` - A WireConnection with an established connection to the server.
        `descriptor` - The ProtocolDescriptor that created this connection (this is used for creating further dependent objects).

  - ### Method Detail

    - #### getTransactionIdBuffer

          protected byte[] getTransactionIdBuffer​(long transactionId)

      Overrides:
        `getTransactionIdBuffer` in class `V10Database`